
Foreman - Feature #3178

add ability to apply a virtual hardware template at hostgroup level

10/01/2013 07:32 PM - Greg Petras

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Host creation   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would like to be able to specify the following attributes in a "virtual hardware" profile:

- number of vCPUs

- RAM

- number of disks and their size

- number of interfaces and their network name

Ideally, in a child hostgroup, Foreman would allow the profile to be inherited from its parent unless it had it's own override profile

specified.

This would significantly reduce complexity in our provisioning scripts, which currently require the user to pass in these parameters

per host, even though they are the same across a hostgroup.

Related issues:

Related to Foreman - Bug #3980: Compute profiles not rendering Openstack attr... Closed 01/09/2014

Related to Foreman - Bug #4126: libvirt network selection doesn't work when e... New 01/19/2014

Related to Foreman - Bug #4159: Thin provisioning for VMware disks in compute... Closed 01/22/2014

Related to Foreman - Bug #4221: Unable to delete Compute Resource/Deassociate... Closed 01/29/2014

Related to Foreman - Bug #4235: EC2 compute profile loses Security Group sett... New 02/03/2014

Related to Foreman - Feature #4250: Expose compute profiles via API Closed 02/04/2014

Related to Foreman - Bug #4330: Can't remove network interface or volume from... New 02/12/2014

Related to Foreman - Bug #4375: Kickstart provisioning is on a loop when usin... Closed 02/18/2014

Associated revisions

Revision c6e02bd3 - 01/09/2014 07:43 AM - Joseph Magen

fixes #3178 - add feature for compute profiles for hostgroups and hosts

History

#1 - 10/02/2013 09:37 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Joseph Magen

You may want to follow and join in with this discussion on foreman-dev, where Joseph's looking at just this problem.

https://groups.google.com/forum/#!topic/foreman-dev/M9_mGo1lGl8

#2 - 11/12/2013 01:10 PM - Anonymous

- Target version set to 1.10.0

#3 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3
https://groups.google.com/forum/#!topic/foreman-dev/M9_mGo1lGl8


#4 - 01/05/2014 02:29 PM - Ohad Levy

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1119

#5 - 01/09/2014 02:10 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#6 - 01/09/2014 10:43 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6e02bd3cf59da85d3e97b0a7b2c221003eb494c.

#7 - 01/09/2014 10:53 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#8 - 01/14/2014 03:44 PM - Dominic Cleal

- Related to Bug #3980: Compute profiles not rendering Openstack attributes correctly added

#9 - 01/19/2014 08:24 PM - Dominic Cleal

- Related to Bug #4126: libvirt network selection doesn't work when editing compute profiles added

#10 - 01/22/2014 10:34 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #4159: Thin provisioning for VMware disks in compute profiles can't be saved added

#11 - 01/29/2014 09:12 PM - Dominic Cleal

- Related to Bug #4221: Unable to delete Compute Resource/Deassociate Compute Profile added

#12 - 02/03/2014 03:05 PM - Dominic Cleal

- Related to Bug #4235: EC2 compute profile loses Security Group setting. added

#13 - 02/05/2014 08:55 AM - Dominic Cleal

- Related to Feature #4250: Expose compute profiles via API added

#14 - 02/13/2014 09:04 AM - Dominic Cleal

- Related to Bug #4330: Can't remove network interface or volume from compute profile added

#15 - 02/18/2014 10:41 AM - Dominic Cleal

- Related to Bug #4375: Kickstart provisioning is on a loop when using compute profiles with ovirt Compute Resource. added
